import React from 'react';
import { Provider } from 'react-redux';
import { StatusBar } from 'react-native';
import { store } from '@/store';
import AppNavigator from '@/navigation/AppNavigator';

const App: React.FC = () => {
  return (
    <Provider store={store}>
      <StatusBar
        barStyle="dark-content"
        backgroundColor="#fff"
        translucent={false}
      />
      <AppNavigator />
    </Provider>
  );
};

export default App; 