# Twilio App

一个基于 React + TypeScript + Vite 的现代化 Twilio 应用程序。

## 功能特性

- 📞 视频通话功能
- 👥 用户管理
- 📊 数据仪表板
- 📋 通话记录管理
- 🎨 现代化 UI 设计

## 技术栈

- **前端框架**: React 18
- **类型检查**: TypeScript
- **构建工具**: Vite
- **UI 组件**: Ant Design
- **状态管理**: React Context
- **通信**: Twilio Video SDK
- **样式**: CSS3

## 快速开始

### 环境要求

- Node.js >= 16.0.0
- npm >= 8.0.0

### 安装依赖

```bash
npm install
```

### 开发环境

```bash
npm run dev
```

### 构建生产版本

```bash
npm run build
```

### 预览生产版本

```bash
npm run preview
```

## 项目结构

```
src/
├── components/     # 通用组件
├── pages/         # 页面组件
├── services/      # API 服务
├── hooks/         # 自定义 Hooks
├── utils/         # 工具函数
├── types/         # TypeScript 类型定义
├── store/         # 状态管理
└── styles/        # 样式文件
```

## 环境配置

复制 `.env.example` 为 `.env` 并配置相关环境变量：

```bash
cp .env.example .env
```

## 贡献指南

1. Fork 本仓库
2. 创建特性分支 (`git checkout -b feature/AmazingFeature`)
3. 提交更改 (`git commit -m 'Add some AmazingFeature'`)
4. 推送到分支 (`git push origin feature/AmazingFeature`)
5. 创建 Pull Request

## 许可证

本项目采用 MIT 许可证 - 查看 [LICENSE](LICENSE) 文件了解详情。

## 联系方式

- 作者: mars
- 邮箱: mars421023@gmail.com 